db4o |

# Configuration.TestConstructors Method

tuning feature: configures whether db4o should try to instantiate one instance of each persistent class on system startup.

void TestConstructors(
bool flag
);

#### Parameters

flag
  the desired setting

#### Remarks

tuning feature: configures whether db4o should try to instantiate one instance of each persistent class on system startup.
In a production environment this setting can be set to

    false

, if all persistent classes have public default constructors.
Default value:

    true

#### See Also

Configuration Interface | com.db4o.config Namespace